Name:           saoimage
Version:        1.35.1
Release:        %mkrel 12
Summary:        Utility for displaying astronomical images

Group:          Sciences/Astronomy
License:        LGPLv2+
URL:            http://tdc-www.harvard.edu/software/saoimage/
Source0:        http://tdc-www.harvard.edu/software/saoimage/%{name}-%{version}.tar.gz
Source1:        saoimage.desktop
Source2:        saoimage.xml
Source3:        saoimage.png
Patch0:         saoimage-1.35.1-decls.patch
Patch1:         saoimage-1.35.1-pad.patch
Patch2:         saoimage-1.35.1-mkstemp.patch
Patch3:         saoimage-1.35.1-inc.patch
Patch4:         saoimage-1.35.1-bpp.patch
Patch5:         saoimage-1.35.1-security.patch

BuildRequires:  pkgconfig(x11)
# Need dist for dehypht-x-2012-05-30.tex
BuildRequires:  texlive-dist
BuildRequires:  doxygen
BuildRequires:  desktop-file-utils

%description
SAOimage (pronounced S-A-0-image) is a utility for displaying astronomical
images in the X11 window environment. It was written at the Smithsonian
Astrophysical Observatory by Mike Van Hilst in 1990 and is now maintained
by Doug Mink.

Image files can be read directly, or image data may be passed through a
named pipe (Unix) or a mailbox (VMS) from IRAF display tasks. SAOimage
provides a large selection of options for zooming, panning, scaling,
coloring, pixel readback, display blinking, and region specification.
User interactions are generally performed with the mouse. Mouse tracking in
an image's world coordinate system, usually sky coordinates, was added in
1994. You can also plot catalogs over images with WCS information in their
headers.

The SAOimage desktop includes, a main image display window, a button menu
panel, a display magnifier, a pan and zoom reference image, and a color bar.
A color table graph window can be brought up by clicking on the color bar. 


%prep
%setup -q
%patch0 -p1 -b .decls
%patch1 -p1 -b .pad
%patch2 -p1 -b .mkstemp
%patch3 -p1 -b .inc
%patch4 -p1 -b .bpp
%patch5 -p1 -b .security


%build
%make_build OFLAGS="%{optflags} -fcommon" linux \
        IMTOOLRC=%{_sysconfdir}/imtoolrc

cd doc
rm -f m*.toc
# Build twice to generate TOC
pdflatex manual.tex; pdflatex manual.tex
pdflatex scale.tex

%install
install -d %{buildroot}/%{_bindir}/
install -d %{buildroot}/%{_datadir}/applications
install -d %{buildroot}/%{_datadir}/mime/packages
install -d %{buildroot}/%{_datadir}/pixmaps
install -d %{buildroot}/%{_mandir}/man1/

%make_build -f makefile.linux install_saobin install_saoman    \
        ROOT=%{buildroot}/                            \
        SAOBINDIR=%{buildroot}/%{_bindir}/            \
        SAOMANDIR=%{buildroot}/%{_mandir}/man1/

desktop-file-install %{SOURCE1}         \
        --dir=%{buildroot}/%{_datadir}/applications

install -pm 0644 %{SOURCE2} %{buildroot}/%{_datadir}/mime/packages
install -pm 0644 %{SOURCE3} %{buildroot}/%{_datadir}/pixmaps

%files
%{_bindir}/saoimage
%{_datadir}/mime
%{_datadir}/applications/*
%{_datadir}/pixmaps/*
%{_mandir}/man1/saoimage.1*
%doc README NEWS COPYING
%doc doc/*.txt doc/*.pdf wcssubs-3.5.1/COPYING



%changelog
* Tue Nov 08 2022 ghibo <ghibo> 1.35.1-12.mga9
+ Revision: 1904583
- Fix package building

* Sat Mar 26 2022 umeabot <umeabot> 1.35.1-11.mga9
+ Revision: 1828304
- Mageia 9 Mass Rebuild

* Tue Jun 09 2020 joequant <joequant> 1.35.1-10.mga8
+ Revision: 1591403
- update to 1.35.1

* Fri Feb 14 2020 umeabot <umeabot> 1.35.1-9.mga8
+ Revision: 1516750
- Mageia 8 Mass Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 1.35.1-8.mga7
+ Revision: 1300926
- Mageia 7 Mass Rebuild

* Tue Feb 09 2016 umeabot <umeabot> 1.35.1-7.mga6
+ Revision: 952351
- Mageia 6 Mass Rebuild

* Wed Feb 18 2015 luigiwalser <luigiwalser> 1.35.1-6.mga5
+ Revision: 815600
- use actual subdirectory name in patch1 rather than symlink name

* Wed Oct 15 2014 umeabot <umeabot> 1.35.1-5.mga5
+ Revision: 743853
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.35.1-4.mga5
+ Revision: 689031
- Mageia 5 Mass Rebuild

* Mon Oct 21 2013 umeabot <umeabot> 1.35.1-3.mga4
+ Revision: 539607
- Mageia 4 Mass Rebuild

* Mon Oct 07 2013 joequant <joequant> 1.35.1-2.mga4
+ Revision: 492521
- rebuild to get build for tex doc

* Thu Jul 25 2013 joequant <joequant> 1.35.1-1.mga4
+ Revision: 458117
- change build requires to include texlive
- clean spec
- imported package saoimage

